## com.bbn.openmap.geo
Class GeoSegment.Impl

    java.lang.Object
      com.bbn.openmap.geo.GeoSegment.Impl

All Implemented Interfaces:
  GeoExtent, GeoSegment

Enclosing class:
  GeoSegment

public static class GeoSegment.Impl
extends java.lang.Object
implements GeoSegment

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.geo.GeoSegment
`GeoSegment.Impl`

Field Summary
`protected java.lang.Object` `id`
`protected Geo[]` `seg`

Constructor Summary
`GeoSegment.Impl(Geo[] segment)` Create a GeoSegment.Impl with an array of 2 Geos.

Method Summary
`BoundingCircle` `getBoundingCircle()` compute a point and radius around the extent.
`java.lang.Object` `getID()` return an object that this extent represents.
`Geo[]` `getSeg()`
`float[]` `getSegArray()`
`java.lang.Object` `getSegId()` Deprecated. use getID() instead.
`void` `setID(java.lang.Object pid)`
`void` `setSegId(java.lang.Object segId)` Deprecated. use getID() instead.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### seg

    protected Geo[] seg

### id

    protected java.lang.Object id

Constructor Detail

### GeoSegment.Impl

    public GeoSegment.Impl(Geo[] segment)

  Create a GeoSegment.Impl with an array of 2 Geos.

Parameters:
  `segment` - Geo[2].

Method Detail

### getSeg

    public Geo[] getSeg()

  Specified by:
    `getSeg` in interface `GeoSegment`
  Returns:
    the current segment as a two-element array of Geo The first point is the "current point" and the second is the next. If there isn't another point available, will throw an indexOutOfBounds exception.

### getSegArray

    public float[] getSegArray()

  Specified by:
    `getSegArray` in interface `GeoSegment`
  Returns:
    the current segment as a float[]. The first point is the "current point" and the second is the next. If there isn't another point available, will throw an indexOutOfBounds exception.

### getBoundingCircle

    public BoundingCircle getBoundingCircle()

  Description copied from interface: `GeoExtent`
  compute a point and radius around the extent.

  Specified by:
    `getBoundingCircle` in interface `GeoExtent`

### setSegId

    public void setSegId(java.lang.Object segId)

  Deprecated. use getID() instead.

### getSegId

    public java.lang.Object getSegId()

  Deprecated. use getID() instead.

### setID

    public void setID(java.lang.Object pid)

### getID

    public java.lang.Object getID()

  Description copied from interface: `GeoExtent`
  return an object that this extent represents.

  Specified by:
    `getID` in interface `GeoExtent`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details